Subject: bug#55391: Multiple slim services

From: André A. Gomes <[email-masked]>
Date: Tue, 17 May 2022 16:31:28 +0100

Carlo Zancanaro <[email-masked]> writes:

> Hi André,
>
> On Mon, May 16 2022, André A. Gomes wrote:
>> Here it goes.  The manual states that you can have two slim services
>> on different ttys.  Am I misinterpreting something? Thank you!
>
> I don't think you're misinterpreting anything, but Josselin is correct
> when they say
>
> On Fri, May 13 2022, Josselin Poiret wrote:
>> If I understand the relevant code properly, this should happen only
>> when you try to extend a service type (eg. slim-service-type) with
>> another service
>
> In your case, you're using set-xorg-configuration which tries to extend
> your slim-service-type service. Unfortunately, you want to define two of
> them, which causes the extension mechanism to fail complaining about the
> ambiguity.
>
> You should be able to fix this by adding the xorg-configuration directly
> into the slim service that you're defining, something like this:
>
>    (cons* (service slim-service-type (slim-configuration
>                                       (display ":0")
>                                       (vt "vt7")
>                                       (xorg-configuration
>                                        (xorg-configuration
>                                         (modules (list
>                                         xf86-input-libinput
>     		                                        xf86-input-evdev
>                                                        xf86-input-wacom))
>                                         (keyboard-layout
>                                         keyboard-layout)
>                                         (server-arguments
>                                          ;; disable screen-saver
>                                             timeout
>                                          (append (list "-s" "0")
>                                                  %default-xorg-server-arguments))
>                                         (extra-config (list
>                                         xorg-touchpad
>                                                             xorg-monitor))))))
>           (service slim-service-type (slim-configuration
>                                       (display ":0")
>                                       (vt "vt8")
>                                       ;; I wasn't sure if you
>                                          wanted the same
>                                       ;; xorg-configuration here,
>                                          so I left it out.
>                                       ))
>           (modify-services %desktop-services
>             (delete gdm-service-type)
>             (delete (screen-locker-service xlockmore "xlock"))))

Hi Carlo Zancanaro,

It all makes sense now!  I really appreciate your help, thanks :)

-- 
André A. Gomes
"You cannot even find the ruins..."